# Creates a mandate

Creates a Mandate object.

You can only create a mandate manually for 'direct-debit'. The other supported pay methods
require authorization through a Payment.

Endpoint: POST /mandates
Version: v1
Security: apiKey

## Request fields (application/json):

  - `customer` (string, required)
    The reference of the Customer you want to create the mandate for.
    Example: "CUWSWVVPTL94VX"

  - `pay_method` (string, required)
    The payment method of the mandate. Only 'direct-debit' is supported.
    Enum: "direct-debit"

  - `iban` (string,null)
    When using 'direct-debit', this is the IBAN of the bank account.
    Example: "NL47ABNA0612205029"

  - `account_holder_name` (string,null)
    When using 'direct-debit', this is the name of the account holder.
    Example: "PayPro"

## Response 201 fields (application/json):

  - `id` (string, required)
    Example: "MDQVT0CGB8Z5JK"

  - `type` (string, required)
    Enum: "mandate"

  - `state` (string, required)
    Example: "pending"

  - `customer` (string, required)
    Example: "CUWSWVVPTL94VX"

  - `pay_method` (string, required)
    Example: "direct-debit"

  - `created_at` (string, required)
    Example: "2023-06-30T12:40:10Z"

  - `_links` (object, required)
    Example: {"self":"https://api.paypro.nl/mandates/MDQVT0CGB8Z5JK","customer":"https://api.paypro.nl/customers/CUWSWVVPTL94VX"}

  - `_links.self` (string, required)
    Example: "https://api.paypro.nl/mandates/MDQVT0CGB8Z5JK"

  - `_links.customer` (string, required)
    Example: "https://api.paypro.nl/customers/CUWSWVVPTL94VX"


